# com.github.insanusmokrassar.TelegramBotAPI.extensions.api.bot - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.extensions.api.bot

## Package com.github.insanusmokrassar.TelegramBotAPI.extensions.api.bot

### Functions

(common)

#### getMe

`suspend fun RequestsExecutor.getMe(): ExtendedBot`

(common)

#### getMyCommands

`suspend fun RequestsExecutor.getMyCommands(): List<BotCommand>`

(common)

#### setMyCommands

`suspend fun RequestsExecutor.setMyCommands(commands: List<BotCommand>): Boolean`